Feeds

List posts by creator

GET/feeds/{feedId}/creators/{creatorId}

Retrieve posts in a feed by a specific creator, with pagination.

Path Parameters

feedId*string

Feed ID

creatorId*string

Creator ID

Query Parameters

limit?integer

Maximum number of items to return in a single request. Default: 25

Default25
Range1 <= value <= 100
offset?integer

Starting point of the result set. To get page 2 with a limit of 25, set offset to 25. Default: 0

Default0
Range0 <= value

Response Body

200application/json

OK

type: object

data?array<object>

Data contains the slice of items for the current request.

created_at?string
creator_id?string
description?string
feed_id?string
id?string
image?object
attached_to_video?boolean
file?object
created_at?string
format?string
id?string
name?string
project_id?string
size?integer
status?object
updated_at?string
url?string
height?integer
id?string
thumbhash?string
width?integer
plan_type?object
type?object
Value in"video" | "image"
updated_at?string
video?object
bitrate?integer
chapters?array<object>
duration_label?string
end_time_sec?number
start_time_sec?number
title?string
codec?string
duration?number
file?object
created_at?string
format?string
id?string
name?string
project_id?string
size?integer
status?object
updated_at?string
url?string
framerate?string
hdr?boolean
height?integer
id?string
plan_type?object
poster?object
attached_to_video?boolean
file?object
height?integer
id?string
thumbhash?string
width?integer
width?integer
pagination?object

Pagination data for the request.

limit?integer

Maximum number of items to return in a single request.

offset?integer

Starting point of the result set.

total?integer

The total number of available items in the full list.

400application/json

Invalid feed ID, creator ID, or query parameters

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

500application/json

Internal server error

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X GET "https://api.rixl.com/feeds/F4edRI23XL/creators/C6rtRI23XL?limit=25&offset=0"
fetch("https://api.rixl.com/feeds/F4edRI23XL/creators/C6rtRI23XL?limit=25&offset=0", {
  method: "GET"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/feeds/F4edRI23XL/creators/C6rtRI23XL?limit=25&offset=0"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/feeds/F4edRI23XL/creators/C6rtRI23XL?limit=25&offset=0"

response = requests.request("GET", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/feeds/F4edRI23XL/creators/C6rtRI23XL?limit=25&offset=0"))
  .GET()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/feeds/F4edRI23XL/creators/C6rtRI23XL?limit=25&offset=0");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "data": [
    {
      "created_at": "2025-01-01T00:00:00Z",
      "creator_id": "CR8y3QB38S",
      "description": "My awesome post",
      "feed_id": "FD4y3QB38S",
      "id": "PS5IMKoFLm",
      "image": {
        "attached_to_video": false,
        "file": {
          "created_at": "2025-01-01T00:00:00Z",
          "format": "avif",
          "id": "FpvLwyDMqu",
          "name": "original.jpeg",
          "project_id": "Bq4y3QB38S",
          "size": 1048576,
          "status": "ready",
          "updated_at": "2025-01-01T00:00:00Z",
          "url": "https://images.rixl.com/Bq4y3QB38S/FpvLwyDMqu"
        },
        "height": 1080,
        "id": "PS5IMKoFLm",
        "thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
        "width": 1920
      },
      "plan_type": "free",
      "type": "video",
      "updated_at": "2025-01-01T00:00:00Z",
      "video": {
        "bitrate": 0,
        "chapters": [
          {
            "duration_label": "02:25",
            "end_time_sec": 145,
            "start_time_sec": 0,
            "title": "Introduction"
          }
        ],
        "codec": "string",
        "duration": 0,
        "file": {
          "created_at": "2025-01-01T00:00:00Z",
          "format": "avif",
          "id": "FpvLwyDMqu",
          "name": "original.jpeg",
          "project_id": "Bq4y3QB38S",
          "size": 1048576,
          "status": "ready",
          "updated_at": "2025-01-01T00:00:00Z",
          "url": "https://images.rixl.com/Bq4y3QB38S/FpvLwyDMqu"
        },
        "framerate": "string",
        "hdr": true,
        "height": 0,
        "id": "string",
        "plan_type": "free",
        "poster": {
          "attached_to_video": false,
          "file": {
            "created_at": "2025-01-01T00:00:00Z",
            "format": "avif",
            "id": "FpvLwyDMqu",
            "name": "original.jpeg",
            "project_id": "Bq4y3QB38S",
            "size": 1048576,
            "status": "ready",
            "updated_at": "2025-01-01T00:00:00Z",
            "url": "https://images.rixl.com/Bq4y3QB38S/FpvLwyDMqu"
          },
          "height": 1080,
          "id": "PS5IMKoFLm",
          "thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
          "width": 1920
        },
        "width": 0
      }
    }
  ],
  "pagination": {
    "limit": 100,
    "offset": 50,
    "total": 1000
  }
}

Invalid feed ID, creator ID, or query parameters

application/json

{
  "code": 400,
  "details": "The provided ID is not valid",
  "error": "Invalid feed ID, creator ID, or query parameters"
}

Internal server error

application/json

{
  "code": 500,
  "details": "The provided ID is not valid",
  "error": "Internal server error"
}